## maui-communicator 4.0.2

=== debian/changelog ===
maui-communicator (4.0.2-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:54:15 +0000

maui-communicator (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 01:21:09 +0000

maui-communicator (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 01:21:29 +0000

maui-communicator (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 07 Sep 2024 01:21:32 +0000

maui-communicator (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 07:44:06 +0000

communicator (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 07:46:09 +0000

communicator (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Aug 2023 07:44:06 +0000

communicator (3.0.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20250928.0650

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20250928.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:50:51 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20250930.0540

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:15 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20251007.2341

=== CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-latercmake_minimum_required(VERSION 3.14)

cmake_minimum_required(VERSION 3.16)

set(COMMUNICATOR_VERSION 4.0.2)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2019-2025 Maui Development Team")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

project(communicator VERSION ${COMMUNICATOR_VERSION})

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)

if(ANDROID)
    set(ANDROID_ABIS "armeabi-v7a")
endif()

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick QuickControls2 Concurrent)

find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n KIO CoreAddons Service)

find_package(MauiKit4 REQUIRED COMPONENTS FileBrowsing)

if(ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Sql Multimedia Xml)
elseif(UNIX)
    find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS Contacts People)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
endif()

if(UNIX AND NOT APPLE AND NOT ANDROID)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
    include(ECMInstallIcons)
    include(ECMAddAppIcon)
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${COMMUNICATOR_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

ecm_setup_version(${COMMUNICATOR_VERSION}
    VARIABLE_PREFIX COMMUNICATOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/communicator_version.h")

add_subdirectory(src)

ki18n_install(po)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES org.kde.communicator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.communicator.json DESTINATION /usr/share/maui-accounts/manifests)
    install(FILES org.kde.communicator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

qt_finalize_project()

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20251007.2341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 07 Oct 2025 23:41:23 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:12 +0000

=== debian/control ===
Source: maui-communicator
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-kpeople-dev,
               kf6-kservice-dev,
               libmauikitfilebrowsing-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-communicator
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-communicator.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-communicator
Maintainer: Neon CI <neon@kde.org>

Package: maui-communicator
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Archiver for compressed files
 Communicator keeps and organizes your contacts information. You can create,
 edit, delete information about your contacts providing a centralized place
 for managing your contacts.

Package: communicator
Depends: maui-communicator, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/communicator/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## maui-communicator 4.0.2+p24.04+vstable+git20260103.0509

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260103.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:09:27 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20260105.0955

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260105.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:55:15 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20260107.0825

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260107.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:25:28 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20260122.0613

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260122.0613-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:13:49 +0000

## maui-communicator 4.0.2+p24.04+vstable+git20260130.1003

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vstable+git20260130.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:03:38 +0000

## maui-communicator 4.0.2+p24.04+vunstable+git20260130.1314

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vunstable+git20260130.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:14:28 +0000

## maui-communicator 4.0.2+p24.04+vunstable+git20260205.0814

=== debian/changelog ===
maui-communicator (4.0.2+p24.04+vunstable+git20260205.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:14:55 +0000
